ssh_socket_struct Struct Reference
Collaboration diagram for ssh_socket_struct:
[legend]

## Data Fields

socket_t | fd
int | fd_is_socket
int | last_errno
int | read_wontblock
int | write_wontblock
int | data_except
enum ssh_socket_states_e | state
ssh_buffer | out_buffer
ssh_buffer | in_buffer
ssh_session | session
ssh_socket_callbacks | callbacks
ssh_poll_handle | poll_handle
pid_t | proxy_pid

The documentation for this struct was generated from the following file:

- socket.c